libstdc++: __gnu_pbds::lu_move_to_front_policy< _Alloc > Class Template Reference

libstdc++

__gnu_pbds::lu_move_to_front_policy< _Alloc > Class Template Reference

`#include <list_update_policy.hpp>`

## Public Types
typedef _Alloc | allocator_type
typedef detail::rebind_traits< _Alloc, metadata_type >::reference | metadata_reference
typedef null_type | metadata_type

## Public Member Functions
metadata_type | operator() () const
bool | operator() (metadata_reference r_metadata) const

## Detailed Description

template<typename _Alloc = std::allocator<char>>
class __gnu_pbds::lu_move_to_front_policy< _Alloc >

A list-update policy that unconditionally moves elements to the front of the list. A null type means that each link in a list-based container does not actually need metadata.

Definition at line 58 of file list_update_policy.hpp.

## Member Typedef Documentation

## ◆ allocator_type

template<typename _Alloc = std::allocator<char>>

typedef _Alloc __gnu_pbds::lu_move_to_front_policy< _Alloc >::allocator_type

Definition at line 61 of file list_update_policy.hpp.

## ◆ metadata_reference

template<typename _Alloc = std::allocator<char>>

typedef detail::rebind_traits<_Alloc,metadata_type>::reference __gnu_pbds::lu_move_to_front_policy< _Alloc >::metadata_reference

Reference to metadata on which this functor operates.

Definition at line 69 of file list_update_policy.hpp.

## ◆ metadata_type

template<typename _Alloc = std::allocator<char>>

typedef null_type __gnu_pbds::lu_move_to_front_policy< _Alloc >::metadata_type

Metadata on which this functor operates.

Definition at line 64 of file list_update_policy.hpp.

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename _Alloc = std::allocator<char>>

metadata_type __gnu_pbds::lu_move_to_front_policy< _Alloc >::operator() | ( |  | ) | const
| inline

Creates a metadata object.

Definition at line 73 of file list_update_policy.hpp.

## ◆ operator()() [2/2]

template<typename _Alloc = std::allocator<char>>

bool __gnu_pbds::lu_move_to_front_policy< _Alloc >::operator() | ( | metadata_reference | r_metadata | ) | const
| inline

Decides whether a metadata object should be moved to the front of the list.

Definition at line 79 of file list_update_policy.hpp.

The documentation for this class was generated from the following file:

- list_update_policy.hpp